## qt6-declarative 6.9.2+dfsg

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qtdeclarative.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtDeclarative # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Declarative Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Network Widgets OpenGL OpenGLWidgets Sql Concurrent Test TestInternalsPrivate LanguageServerPrivate LinguistTools Svg ExamplesAssetDownloaderPrivate)
qt_internal_project_setup()

# Set up QT_HOST_PATH as an extra root path to look for the ShaderToolsTools package
# when cross-compiling.
if(NOT "${QT_HOST_PATH}" STREQUAL "")
     set(_qt_backup_qtdeclarative_CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH})
     set(_qt_backup_qtdeclarative_CMAKE_FIND_ROOT_PATH ${CMAKE_FIND_ROOT_PATH})
     list(PREPEND CMAKE_PREFIX_PATH "${QT_HOST_PATH_CMAKE_DIR}")
     list(PREPEND CMAKE_FIND_ROOT_PATH "${QT_HOST_PATH}")
endif()

# This can't use the find_package(Qt6 COMPONENTS) signature, because Qt6Config uses NO_DEFAULT and
# won't look at the prepend extra find root paths.
find_package(Qt6ShaderToolsTools ${PROJECT_VERSION} QUIET CONFIG
    PATHS
            ${_qt_additional_packages_prefix_path}
            ${_qt_additional_packages_prefix_path_env}
)

if(NOT "${QT_HOST_PATH}" STREQUAL "")
     set(CMAKE_PREFIX_PATH ${_qt_backup_qtdeclarative_CMAKE_PREFIX_PATH})
     set(CMAKE_FIND_ROOT_PATH ${_qt_backup_qtdeclarative_CMAKE_FIND_ROOT_PATH})
endif()

# Optionally look for the target ShaderTools package to avoid warnings
# when configuring the project to build examples in-tree in a prefix Qt build.
# See QTBUG-96358 for details.
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS ShaderTools)

# special case begin
# export QT6_ADD_QML_MODULE to this project
include(src/qml/Qt6QmlMacros.cmake)
if(ANDROID)
    include("${CMAKE_CURRENT_LIST_DIR}/src/qml/Qt6AndroidQmlMacros.cmake")
endif()
include("${CMAKE_CURRENT_LIST_DIR}/src/qml/Qt6QmlPublicCMakeHelpers.cmake")
# special case end

if(NOT QT_FEATURE_commandlineparser)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_commandlineparser\" is not met.")
    return()
endif()
if(NOT QT_FEATURE_temporaryfile)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_temporaryfile\" is not met.")
    return()
endif()
qt_build_repo()

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(qml)
if(TARGET Qt6::Quick)
    add_subdirectory(quick)
    add_subdirectory(platforms)
endif()
if(TARGET Qt6::QuickTemplates2)
    add_subdirectory(quickcontrols)
endif()

qt_examples_build_end()

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from src.pro.
# special case skip regeneration

if(NOT QT_FEATURE_commandlineparser)
    message(FATAL_ERROR "QT_FEATURE_commandlineparser required to compile qmltyperegistrar")
endif()

add_subdirectory(qmltoolingsettings)
add_subdirectory(qmltyperegistrar)
add_subdirectory(qmlintegration)
add_subdirectory(qml)
add_subdirectory(qmlmodels)

add_subdirectory(core)

if(QT_FEATURE_qml_network)
    add_subdirectory(qmlnetwork)
endif()

if(QT_FEATURE_qml_worker_script)
    add_subdirectory(qmlworkerscript)
endif()

add_subdirectory(qmlmeta)

if(TARGET Qt::Sql)
   add_subdirectory(qmllocalstorage)
 endif()

if(QT_FEATURE_qml_xmllistmodel)
    add_subdirectory(qmlxmllistmodel)
endif()

if(TARGET Qt::Gui AND TARGET Qt::qsb AND QT_FEATURE_qml_animation)
    add_subdirectory(quick)
    add_subdirectory(quicklayouts)

    find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Test)
    if(QT_FEATURE_testlib AND TARGET Qt::Test)
        add_subdirectory(qmltest)
        if(QT_FEATURE_network AND QT_FEATURE_quick_itemview)
            add_subdirectory(quicktestutils)
        endif()
    endif()

    if(QT_FEATURE_quick_particles)
        add_subdirectory(particles)
    endif()

    if(QT_FEATURE_quick_shadereffect)
        add_subdirectory(effects)
    endif()

    if(QT_FEATURE_quick_path)
        add_subdirectory(quickshapes)
    endif()

    if(TARGET Qt::Svg)
        add_subdirectory(quickvectorimage)
    endif()

    if(TARGET Qt::Widgets)
        add_subdirectory(quickwidgets)
    endif()

    add_subdirectory(quicktemplates)
    add_subdirectory(quickcontrolsimpl)
    add_subdirectory(quickcontrols)
    if(QT_FEATURE_quicktemplates2_container)
        add_subdirectory(quickdialogs)
    endif()
    if (QT_FEATURE_quickcontrols2_macos OR QT_FEATURE_quickcontrols2_windows)
        add_subdirectory(quicknativestyle)
    endif()

    if(QT_FEATURE_testlib AND QT_FEATURE_network AND QT_FEATURE_quick_itemview AND TARGET Qt::Test AND TARGET Qt::QuickControls2 AND NOT (WASM AND BUILD_SHARED_LIBS))
        add_subdirectory(quickcontrolstestutils)
    endif()
else()
    qt_configure_add_summary_section(NAME "Qt Quick")
    qt_configure_add_summary_entry(TYPE "message" ARGS "Qt Quick support" MESSAGE "no")
    qt_configure_add_report_entry(
        TYPE NOTE
        MESSAGE "Qt Quick modules not built due to not finding the qtshadertools 'qsb' tool."
    )
endif()

add_subdirectory(labs)

# special case begin
# These need to be included here since they have dependencies on the modules
# specified above.

add_subdirectory(qmlcompiler)
add_subdirectory(qmldom)
add_subdirectory(qmlformat)

# Build qmlcachegen now, so that we can use it in src/imports.
if(QT_FEATURE_xmlstreamwriter)
    add_subdirectory(../tools/qmlaotstats qmlaotstats)
    add_subdirectory(../tools/qmlcachegen qmlcachegen)
endif()

if(QT_FEATURE_thread AND QT_FEATURE_filesystemwatcher AND QT_FEATURE_processenvironment
        AND TARGET Qt::LanguageServerPrivate)
    if (NOT CMAKE_CROSSCOMPILING OR QT_FORCE_BUILD_TOOLS)
        add_subdirectory(qmlls)
    endif()
endif()

add_subdirectory(plugins)
add_subdirectory(imports)

if(QT_FEATURE_qml_network)

    if(QT_FEATURE_thread AND QT_FEATURE_localserver AND QT_FEATURE_qml_debug)
        add_subdirectory(qmldebug)
    endif()
endif()

add_subdirectory(assets)

# special case end

=== examples/quick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_internal_add_example(quick-accessibility)
qt_internal_add_example(animation)
qt_internal_add_example(draganddrop)
qt_internal_add_example(canvas)
qt_internal_add_example(imageelements)
qt_internal_add_example(keyinteraction)
qt_internal_add_example(layouts)
qt_internal_add_example(responsivelayouts)
qt_internal_add_example(localstorage)
add_subdirectory(models)
qt_internal_add_example(views)
add_subdirectory(tableview)
qt_internal_add_example(mousearea)
qt_internal_add_example(positioners)
add_subdirectory(scenegraph)
qt_internal_add_example(shadereffects)
qt_internal_add_example(text)
add_subdirectory(tutorials)
add_subdirectory(customitems)
qt_internal_add_example(imageprovider)
qt_internal_add_example(imageresponseprovider)
qt_internal_add_example(window)
add_subdirectory(particles)
qt_internal_add_example(itemvariablerefreshrate)
add_subdirectory(multieffect)
if(QT_FEATURE_opengl OR QT_FEATURE_opengles2 OR QT_FEATURE_opengles3)
    add_subdirectory(rendercontrol)
endif()
if(TARGET Qt6::Widgets)
    qt_internal_add_example(embeddedinwidgets)
endif()
if(TARGET Qt6::QuickWidgets AND TARGET Qt6::Widgets AND (QT_FEATURE_opengl OR QT_FEATURE_opengles2 OR QT_FEATURE_opengles3))
    add_subdirectory(quickwidgets)
endif()
add_subdirectory(quickshapes)
qt_internal_add_example(advancedtext)
qt_internal_add_example(vectorimage)

# qt_examples_build_end() misses at least some of these due to some
# source subdirectories being added multiple times. See QTBUG-96159.
set(reused_dir_targets
    animation_shared
    canvas_shared
    views_shared
    positioners_shared
    text_shared
    window_shared
    imageelements_shared
    pointerhandlers_shared
    affectors_shared
    emitters_shared
    imageparticle_shared
    itemparticle_shared
    system_shared
    draganddrop_shared
    testbed_shared
    itemswitcher_shared
    neumorphicpanel_shared
)

foreach(target IN LISTS reused_dir_targets)
    if(TARGET ${target})
        qt_autogen_tools(${target} ENABLE_AUTOGEN_TOOLS moc rcc)
        if(TARGET Qt6::Widgets)
            qt_autogen_tools(${target} ENABLE_AUTOGEN_TOOLS uic)
        endif()
    endif()
endforeach()

=== src/assets/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::ExamplesAssetDownloaderPrivate)
    add_subdirectory(downloader)
endif()

=== src/core/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(QmlCore
    URI "QtCore"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    PLUGIN_TARGET qtqmlcoreplugin
    CLASS_NAME QtQmlCorePlugin
    DEPENDENCIES
        QtQml/auto
    SOURCES
        qqmlsysteminformation_p.h
        qqmlsysteminformation.cpp
        qqmlstandardpaths_p.h
        qqmlstandardpaths.cpp
        qqmlcoreglobal_p.h
    DEFINES
        QT_BUILD_QML_CORE_LIB
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
    LIBRARIES
        Qt::QmlPrivate
    PRIVATE_MODULE_INTERFACE
        Qt::QmlPrivate
)

qt_internal_extend_target(QmlCore CONDITION QT_FEATURE_settings
    SOURCES
        qqmlsettings_p.h
        qqmlsettings.cpp
)

qt_internal_extend_target(QmlCore CONDITION QT_FEATURE_permissions
    SOURCES
        qqmlpermissions_p.h
)

qt_internal_add_docs(QmlCore
    doc/qtqmlcore.qdocconf
)

=== src/effects/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QuickEffects Module:
#####################################################################

qt_internal_add_qml_module(QuickEffects
    URI "QtQuick.Effects"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET effectsplugin
    CLASS_NAME QtQuickEffectsPlugin
    DEPENDENCIES
        QtQuick/auto
    SOURCES
        qquickmultieffect.cpp qquickmultieffect_p.h qquickmultieffect_p_p.h
        qgfxsourceproxy.cpp qgfxsourceproxy_p.h
        qtquickeffectsglobal_p.h
        qquickrectangularshadow.cpp qquickrectangularshadow_p.h qquickrectangularshadow_p_p.h
    DEFINES
        QT_NO_INTEGER_EVENT_COORDINATES
        QT_NO_URL_CAST_FROM_STRING
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickPrivate
    )

qt_internal_add_resource(QuickEffects "effects"
    PREFIX
        "/"
    FILES
        "data/BlurItem.qml"
)

qt_internal_extend_target(QuickEffects CONDITION MSVC
    DEFINES
        _CRT_SECURE_NO_WARNINGS
)

qt_internal_extend_target(QuickEffects CONDITION EXISTS "qqml_enable_gcov"
    LIBRARIES
        gcov
    COMPILE_OPTIONS
        -fno-elide-constructors
        -fprofile-arcs
        -ftest-coverage
)

set(EFFECT_SHADER_ARGS
        SILENT
        PRECOMPILE
        OPTIMIZED
        MULTIVIEW
        PREFIX
            "/"
)

qt_internal_add_shaders(QuickEffects "rectangularshadow_shaders1"
    ${EFFECT_SHADER_ARGS}
    BATCHABLE
    FILES
        "data/shaders/rectangularshadow.vert"
        "data/shaders/rectangularshadow.frag"
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders1"
    ${EFFECT_SHADER_ARGS}
    BATCHABLE
    FILES
        "data/shaders/bluritems.vert"
        "data/shaders/bluritems.frag"
)

# Multieffect fragment shaders
# c = Common color effects
# m = Mask
# b = Blur
# s = Shadow
# [n] = Amount of blur items used

qt_internal_add_shaders(QuickEffects "multieffect_shaders2"
    ${EFFECT_SHADER_ARGS}
    BATCHABLE
    FILES
        "data/shaders/multieffect.vert"
    OUTPUTS
        "data/shaders/multieffect_c.vert.qsb"
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders3"
    ${EFFECT_SHADER_ARGS}
    BATCHABLE
    FILES
        "data/shaders/multieffect.vert"
    OUTPUTS
        "data/shaders/multieffect_cs.vert.qsb"
    DEFINES
        SHADOW
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders4"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_c0.frag.qsb"
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders5"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cm0.frag.qsb"
    DEFINES
        MASK
)

# Special shaders for non-blurred shadows (cs0 and cms0)
qt_internal_add_shaders(QuickEffects "multieffect_shaders6"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cs0.frag.qsb"
    DEFINES
        SHADOW
        BL0
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders7"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cms0.frag.qsb"
    DEFINES
        MASK
        SHADOW
        BL0
)

# Shaders for different blur levels
qt_internal_add_shaders(QuickEffects "multieffect_shaders8"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cb1.frag.qsb"
    DEFINES
        BLUR
        BL1
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders9"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cs1.frag.qsb"
    DEFINES
        SHADOW
        BL1
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders10"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cmb1.frag.qsb"
    DEFINES
        MASK
        BLUR
        BL1
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders11"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cms1.frag.qsb"
    DEFINES
        MASK
        SHADOW
        BL1
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders12"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cbs1.frag.qsb"
    DEFINES
        BLUR
        SHADOW
        BL1
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders13"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cmbs1.frag.qsb"
    DEFINES
        MASK
        BLUR
        SHADOW
        BL1
)

# level 2
qt_internal_add_shaders(QuickEffects "multieffect_shaders14"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cb2.frag.qsb"
    DEFINES
        BLUR
        BL1
        BL2
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders15"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cs2.frag.qsb"
    DEFINES
        SHADOW
        BL1
        BL2
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders16"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cmb2.frag.qsb"
    DEFINES
        MASK
        BLUR
        BL1
        BL2
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders17"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cms2.frag.qsb"
    DEFINES
        MASK
        SHADOW
        BL1
        BL2
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders18"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cbs2.frag.qsb"
    DEFINES
        BLUR
        SHADOW
        BL1
        BL2
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders19"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cmbs2.frag.qsb"
    DEFINES
        MASK
        BLUR
        SHADOW
        BL1
        BL2
)

# level 3
qt_internal_add_shaders(QuickEffects "multieffect_shaders20"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cb3.frag.qsb"
    DEFINES
        BLUR
        BL1
        BL2
        BL3
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders21"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cs3.frag.qsb"
    DEFINES
        SHADOW
        BL1
        BL2
        BL3
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders22"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cmb3.frag.qsb"
    DEFINES
        MASK
        BLUR
        BL1
        BL2
        BL3
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders23"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cms3.frag.qsb"
    DEFINES
        MASK
        SHADOW
        BL1
        BL2
        BL3
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders24"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cbs3.frag.qsb"
    DEFINES
        BLUR
        SHADOW
        BL1
        BL2
        BL3
)

qt_internal_add_shaders(QuickEffects "multieffect_shaders25"
    ${EFFECT_SHADER_ARGS}
    FILES
        "data/shaders/multieffect.frag"
    OUTPUTS
        "data/shaders/multieffect_cmbs3.frag.qsb"
    DEFINES
        MASK
        BLUR
        SHADOW
        BL1
        BL2
        BL3
)

=== src/labs/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_settings)
    add_subdirectory(settings)
endif()

add_subdirectory(models)

if(QT_FEATURE_qml_itemmodel)
    add_subdirectory(folderlistmodel)
endif()

if(TARGET Qt::Quick)
    add_subdirectory(animation)
endif()

if(TARGET Qt::QuickTemplates2)
    add_subdirectory(platform)
endif()

if(QT_FEATURE_quick_shadereffect AND TARGET Qt::Quick)
    add_subdirectory(wavefrontmesh)
endif()

if(QT_FEATURE_systemsemaphore AND TARGET Qt::Quick)
    add_subdirectory(sharedimage)
endif()

=== src/qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

include(Qt6QmlBuildInternals.cmake)

#####################################################################
## Qml Module:
#####################################################################

# Need to evaluate Qml features early. We can't wait until
# qt_internal_add_qml_module() is executed because we need feature evaluation
# to determine some of the arguments to that command.
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/configure.cmake")

set(extra_cmake_files)
set(extra_cmake_includes)
if(ANDROID)
    list(APPEND extra_cmake_files
        "${CMAKE_CURRENT_LIST_DIR}/${INSTALL_CMAKE_NAMESPACE}AndroidQmlMacros.cmake")
    list(APPEND extra_cmake_includes
        "${INSTALL_CMAKE_NAMESPACE}AndroidQmlMacros.cmake")
endif()

qt_internal_add_qml_module(Qml
    URI "QML"
    VERSION "1.0"
    DESIGNER_SUPPORTED
    __QT_INTERNAL_SYSTEM_MODULE # This module includes the JavaScript root object
    __QT_INTERNAL_STATIC_MODULE # This module is never "unused" where it's imported
    PLUGIN_TYPES qmltooling
    NO_PLUGIN
    SOURCES
        ../3rdparty/masm/assembler/ARM64Assembler.h
        ../3rdparty/masm/assembler/ARMv7Assembler.cpp ../3rdparty/masm/assembler/ARMv7Assembler.h
        ../3rdparty/masm/assembler/AbstractMacroAssembler.h
        ../3rdparty/masm/assembler/AssemblerBuffer.h
        ../3rdparty/masm/assembler/AssemblerBufferWithConstantPool.h
        ../3rdparty/masm/assembler/CodeLocation.h
        ../3rdparty/masm/assembler/LinkBuffer.cpp ../3rdparty/masm/assembler/LinkBuffer.h
        ../3rdparty/masm/assembler/MIPSAssembler.h
        ../3rdparty/masm/assembler/MacroAssembler.h
        ../3rdparty/masm/assembler/MacroAssemblerARM64.h
        ../3rdparty/masm/assembler/MacroAssemblerARMv7.h
        ../3rdparty/masm/assembler/MacroAssemblerCodeRef.h
        ../3rdparty/masm/assembler/MacroAssemblerMIPS.h
        ../3rdparty/masm/assembler/MacroAssemblerX86.h
        ../3rdparty/masm/assembler/MacroAssemblerX86Common.h
        ../3rdparty/masm/assembler/MacroAssemblerX86_64.h
        ../3rdparty/masm/assembler/X86Assembler.h
        ../3rdparty/masm/assembler/ARMv7Assembler.cpp
        ../3rdparty/masm/disassembler/ARM64/A64DOpcode.cpp ../3rdparty/masm/disassembler/ARM64/A64DOpcode.h
        ../3rdparty/masm/disassembler/ARM64Disassembler.cpp
        ../3rdparty/masm/disassembler/ARMv7/ARMv7DOpcode.cpp ../3rdparty/masm/disassembler/ARMv7/ARMv7DOpcode.h
        ../3rdparty/masm/disassembler/ARMv7Disassembler.cpp
        ../3rdparty/masm/disassembler/Disassembler.cpp
        ../3rdparty/masm/disassembler/Mips32Disassembler.cpp
        ../3rdparty/masm/disassembler/UDis86Disassembler.cpp
        ../3rdparty/masm/disassembler/mips32/Mips32Opcode.cpp ../3rdparty/masm/disassembler/mips32/Mips32Opcode.h
        ../3rdparty/masm/stubs/Options.cpp
        ../3rdparty/masm/stubs/WTFStubs.cpp ../3rdparty/masm/stubs/WTFStubs.h
        ../3rdparty/masm/stubs/wtf/FastAllocBase.h
        ../3rdparty/masm/stubs/wtf/FastMalloc.h
        ../3rdparty/masm/stubs/wtf/Noncopyable.h
        ../3rdparty/masm/stubs/wtf/OwnPtr.h
        ../3rdparty/masm/stubs/wtf/PassOwnPtr.h
        ../3rdparty/masm/stubs/wtf/PassRefPtr.h
        ../3rdparty/masm/stubs/wtf/RefCounted.h
        ../3rdparty/masm/stubs/wtf/RefPtr.h
        ../3rdparty/masm/stubs/wtf/TypeTraits.h
        ../3rdparty/masm/stubs/wtf/UnusedParam.h
        ../3rdparty/masm/stubs/wtf/Vector.h
        ../3rdparty/masm/stubs/yarr/YarrUnicodeProperties.cpp
        ../3rdparty/masm/wtf/ASCIICType.h
        ../3rdparty/masm/wtf/Assertions.h
        ../3rdparty/masm/wtf/Atomics.h
        ../3rdparty/masm/wtf/BumpPointerAllocator.h
        ../3rdparty/masm/wtf/CheckedArithmetic.h
        ../3rdparty/masm/wtf/Compiler.h
        ../3rdparty/masm/wtf/CryptographicallyRandomNumber.h
        ../3rdparty/masm/wtf/DataLog.h
        ../3rdparty/masm/wtf/DynamicAnnotations.h
        ../3rdparty/masm/wtf/EnumClass.h
        ../3rdparty/masm/wtf/FeatureDefines.h
        ../3rdparty/masm/wtf/FilePrintStream.cpp ../3rdparty/masm/wtf/FilePrintStream.h
        ../3rdparty/masm/wtf/Locker.h
        ../3rdparty/masm/wtf/MathExtras.h
        ../3rdparty/masm/wtf/NotFound.h
        ../3rdparty/masm/wtf/NullPtr.h
        ../3rdparty/masm/wtf/OSAllocator.h
        ../3rdparty/masm/wtf/PageAllocation.h
        ../3rdparty/masm/wtf/PageAllocationAligned.cpp ../3rdparty/masm/wtf/PageAllocationAligned.h
        ../3rdparty/masm/wtf/PageBlock.cpp ../3rdparty/masm/wtf/PageBlock.h
        ../3rdparty/masm/wtf/PageReservation.h
        ../3rdparty/masm/wtf/Platform.h
        ../3rdparty/masm/wtf/PossiblyNull.h
        ../3rdparty/masm/wtf/PrintStream.cpp ../3rdparty/masm/wtf/PrintStream.h
        ../3rdparty/masm/wtf/RawPointer.h
        ../3rdparty/masm/wtf/SegmentedVector.h
        ../3rdparty/masm/wtf/StdLibExtras.h
        ../3rdparty/masm/wtf/VMTags.h
        ../3rdparty/masm/yarr/Yarr.h
        ../3rdparty/masm/yarr/YarrCanonicalizeUCS2.cpp ../3rdparty/masm/yarr/YarrCanonicalizeUCS2.h
        ../3rdparty/masm/yarr/YarrCanonicalizeUnicode.cpp
        ../3rdparty/masm/yarr/YarrInterpreter.cpp ../3rdparty/masm/yarr/YarrInterpreter.h
        ../3rdparty/masm/yarr/YarrJIT.cpp ../3rdparty/masm/yarr/YarrJIT.h
        ../3rdparty/masm/yarr/YarrParser.h
        ../3rdparty/masm/yarr/YarrPattern.cpp ../3rdparty/masm/yarr/YarrPattern.h
        ../3rdparty/masm/yarr/YarrSyntaxChecker.cpp ../3rdparty/masm/yarr/YarrSyntaxChecker.h
        ../3rdparty/masm/yarr/YarrUnicodeProperties.h
        common/qjsnumbercoercion.cpp common/qjsnumbercoercion.h
        common/qqmljsdiagnosticmessage_p.h
        common/qqmljsfixedpoolarray_p.h
        common/qqmljsmemorypool_p.h
        common/qqmljssourcelocation_p.h
        common/qqmlsignalnames_p.h common/qqmlsignalnames.cpp
        common/qqmltranslation.cpp common/qqmltranslation_p.h
        common/qv4alloca_p.h
        common/qv4calldata_p.h
        common/qv4compileddata.cpp common/qv4compileddata_p.h
        common/qv4staticvalue_p.h
        common/qv4stringtoarrayindex_p.h
        compat/removed_api.cpp
        compiler/qqmlirbuilder.cpp compiler/qqmlirbuilder_p.h
        compiler/qv4bytecodegenerator.cpp compiler/qv4bytecodegenerator_p.h
        compiler/qv4bytecodehandler.cpp compiler/qv4bytecodehandler_p.h
        compiler/qv4codegen.cpp compiler/qv4codegen_p.h
        compiler/qv4compiler.cpp compiler/qv4compiler_p.h
        compiler/qv4compilercontext.cpp compiler/qv4compilercontext_p.h
        compiler/qv4compilercontrolflow_p.h
        compiler/qv4compilerglobal_p.h
        compiler/qv4compilerscanfunctions.cpp compiler/qv4compilerscanfunctions_p.h
        compiler/qv4instr_moth.cpp compiler/qv4instr_moth_p.h
        compiler/qv4util_p.h
        debugger/qqmldebug.h
        debugger/qqmldebugconnector_p.h
        debugger/qqmldebugserviceinterfaces_p.h
        debugger/qqmldebugstatesdelegate_p.h
        debugger/qqmlprofiler_p.h
        inlinecomponentutils_p.h
        jsapi/qjsengine.cpp jsapi/qjsengine.h jsapi/qjsengine_p.h
        jsapi/qjslist.cpp jsapi/qjslist.h
        jsapi/qjsmanagedvalue.cpp jsapi/qjsmanagedvalue.h
        jsapi/qjsprimitivevalue.cpp jsapi/qjsprimitivevalue.h
        jsapi/qjsvalue.cpp jsapi/qjsvalue.h jsapi/qjsvalue_p.h
        jsapi/qjsvalueiterator.cpp jsapi/qjsvalueiterator.h jsapi/qjsvalueiterator_p.h
        jsruntime/qv4argumentsobject.cpp jsruntime/qv4argumentsobject_p.h
        jsruntime/qv4arraybuffer.cpp jsruntime/qv4arraybuffer_p.h
        jsruntime/qv4arraydata.cpp jsruntime/qv4arraydata_p.h
        jsruntime/qv4arrayiterator.cpp jsruntime/qv4arrayiterator_p.h
        jsruntime/qv4arrayobject.cpp jsruntime/qv4arrayobject_p.h
        jsruntime/qv4atomics.cpp jsruntime/qv4atomics_p.h
        jsruntime/qv4booleanobject.cpp jsruntime/qv4booleanobject_p.h
        jsruntime/qv4compilationunitmapper.cpp jsruntime/qv4compilationunitmapper_p.h
        jsruntime/qv4context.cpp jsruntime/qv4context_p.h
        jsruntime/qv4dataview.cpp jsruntime/qv4dataview_p.h
        jsruntime/qv4dateobject.cpp jsruntime/qv4dateobject_p.h
        jsruntime/qv4debugging.cpp jsruntime/qv4debugging_p.h
        jsruntime/qv4domerrors.cpp jsruntime/qv4domerrors_p.h
        jsruntime/qv4engine.cpp jsruntime/qv4engine_p.h
        jsruntime/qv4enginebase_p.h
        jsruntime/qv4errorobject.cpp jsruntime/qv4errorobject_p.h
        jsruntime/qv4estable.cpp jsruntime/qv4estable_p.h
        jsruntime/qv4executableallocator.cpp jsruntime/qv4executableallocator_p.h
        jsruntime/qv4executablecompilationunit.cpp jsruntime/qv4executablecompilationunit_p.h
        jsruntime/qv4function.cpp jsruntime/qv4function_p.h
        jsruntime/qv4functionobject.cpp jsruntime/qv4functionobject_p.h
        jsruntime/qv4functiontable_p.h
        jsruntime/qv4generatorobject.cpp jsruntime/qv4generatorobject_p.h
        jsruntime/qv4global_p.h
        jsruntime/qv4globalobject.cpp jsruntime/qv4globalobject_p.h
        jsruntime/qv4identifierhash.cpp jsruntime/qv4identifierhash_p.h
        jsruntime/qv4identifierhashdata_p.h
        jsruntime/qv4identifiertable.cpp jsruntime/qv4identifiertable_p.h
        jsruntime/qv4include.cpp jsruntime/qv4include_p.h
        jsruntime/qv4internalclass.cpp jsruntime/qv4internalclass_p.h
        jsruntime/qv4iterator.cpp jsruntime/qv4iterator_p.h
        jsruntime/qv4jscall_p.h jsruntime/qv4jscall.cpp
        jsruntime/qv4jsonobject.cpp jsruntime/qv4jsonobject_p.h
        jsruntime/qv4lookup.cpp jsruntime/qv4lookup_p.h
        jsruntime/qv4managed.cpp jsruntime/qv4managed_p.h
        jsruntime/qv4mapiterator.cpp jsruntime/qv4mapiterator_p.h
        jsruntime/qv4mapobject.cpp jsruntime/qv4mapobject_p.h
        jsruntime/qv4math_p.h
        jsruntime/qv4mathobject.cpp jsruntime/qv4mathobject_p.h
        jsruntime/qv4memberdata.cpp jsruntime/qv4memberdata_p.h
        jsruntime/qv4module.cpp jsruntime/qv4module_p.h
        jsruntime/qv4numberobject.cpp jsruntime/qv4numberobject_p.h
        jsruntime/qv4object.cpp jsruntime/qv4object_p.h
        jsruntime/qv4objectiterator.cpp jsruntime/qv4objectiterator_p.h
        jsruntime/qv4objectproto.cpp jsruntime/qv4objectproto_p.h
        jsruntime/qv4persistent.cpp jsruntime/qv4persistent_p.h
        jsruntime/qv4profiling_p.h
        jsruntime/qv4promiseobject.cpp jsruntime/qv4promiseobject_p.h
        jsruntime/qv4property_p.h
        jsruntime/qv4propertykey.cpp jsruntime/qv4propertykey_p.h
        jsruntime/qv4proxy.cpp jsruntime/qv4proxy_p.h
        jsruntime/qv4qmetaobjectwrapper.cpp jsruntime/qv4qmetaobjectwrapper_p.h
        jsruntime/qv4qmlcontext.cpp jsruntime/qv4qmlcontext_p.h
        jsruntime/qv4qobjectwrapper.cpp jsruntime/qv4qobjectwrapper_p.h
        jsruntime/qv4referenceobject.cpp jsruntime/qv4referenceobject_p.h
        jsruntime/qv4reflect.cpp jsruntime/qv4reflect_p.h
        jsruntime/qv4regexp.cpp jsruntime/qv4regexp_p.h
        jsruntime/qv4regexpobject.cpp jsruntime/qv4regexpobject_p.h
        jsruntime/qv4resolvedtypereference.cpp jsruntime/qv4resolvedtypereference_p.h
        jsruntime/qv4runtime.cpp jsruntime/qv4runtime_p.h
        jsruntime/qv4runtimeapi_p.h
        jsruntime/qv4runtimecodegen.cpp jsruntime/qv4runtimecodegen_p.h
        jsruntime/qv4scopedvalue_p.h
        jsruntime/qv4script.cpp jsruntime/qv4script_p.h
        jsruntime/qv4sequenceobject.cpp jsruntime/qv4sequenceobject_p.h
        jsruntime/qv4setiterator.cpp jsruntime/qv4setiterator_p.h
        jsruntime/qv4setobject.cpp jsruntime/qv4setobject_p.h
        jsruntime/qv4sparsearray.cpp jsruntime/qv4sparsearray_p.h
        jsruntime/qv4sqlerrors.cpp jsruntime/qv4sqlerrors_p.h
        jsruntime/qv4stackframe.cpp jsruntime/qv4stackframe_p.h
        jsruntime/qv4string.cpp jsruntime/qv4string_p.h
        jsruntime/qv4stringiterator.cpp jsruntime/qv4stringiterator_p.h
        jsruntime/qv4stringobject.cpp jsruntime/qv4stringobject_p.h

=== src/qmlcompiler/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QmlCompilerPrivate Module:
#####################################################################

qt_internal_add_module(QmlCompiler
        PLUGIN_TYPES qmllint
    SOURCES
        qcoloroutput.cpp qcoloroutput_p.h
        qdeferredpointer_p.h
        qqmljsannotation.cpp qqmljsannotation_p.h
        qqmljsbasicblocks.cpp qqmljsbasicblocks_p.h
        qqmljscodegenerator.cpp qqmljscodegenerator_p.h
        qqmljscompilepass_p.h
        qqmljscompiler.cpp qqmljscompiler_p.h
        qqmljscompilerstats.cpp qqmljscompilerstats_p.h
        qqmljscompilerstatsreporter.cpp qqmljscompilerstatsreporter_p.h
        qqmljscontextualtypes_p.h
        qqmljsfunctioninitializer.cpp qqmljsfunctioninitializer_p.h
        qqmljsimporter.cpp qqmljsimporter_p.h
        qqmljsimportvisitor.cpp qqmljsimportvisitor_p.h
        qqmljslinter.cpp qqmljslinter_p.h
        qqmljslintercodegen.cpp qqmljslintercodegen_p.h
        qqmljsliteralbindingcheck.cpp qqmljsliteralbindingcheck_p.h
        qqmljsloadergenerator.cpp qqmljsloadergenerator_p.h
        qqmljslogger.cpp qqmljslogger_p.h
        qqmljsloggingutils.cpp qqmljsloggingutils.h qqmljsloggingutils_p.h
        qqmljsmetatypes.cpp qqmljsmetatypes_p.h
        qqmljsoptimizations.cpp qqmljsoptimizations_p.h
        qqmljsregistercontent.cpp qqmljsregistercontent_p.h
        qqmljsresourcefilemapper.cpp qqmljsresourcefilemapper_p.h
        qqmljsscope.cpp qqmljsscope_p.h
        qqmljsscopesbyid_p.h
        qqmljsshadowcheck.cpp qqmljsshadowcheck_p.h
        qqmljsstoragegeneralizer.cpp qqmljsstoragegeneralizer_p.h
        qqmljsstorageinitializer.cpp qqmljsstorageinitializer_p.h
        qqmljstypedescriptionreader.cpp qqmljstypedescriptionreader_p.h
        qqmljstypepropagator.cpp qqmljstypepropagator_p.h
        qqmljstypereader.cpp qqmljstypereader_p.h
        qqmljstyperesolver.cpp qqmljstyperesolver_p.h
        qqmljsutils.cpp qqmljsutils_p.h
        qqmljsvaluetypefromstringcheck.cpp qqmljsvaluetypefromstringcheck_p.h
        qqmlsa.cpp qqmlsa.h qqmlsa_p.h
        qqmlsaconstants.h
        qqmlsasourcelocation.cpp qqmlsasourcelocation.h qqmlsasourcelocation_p.h
        qresourcerelocater.cpp qresourcerelocater_p.h
    NO_UNITY_BUILD_SOURCES
        qqmljsoptimizations.cpp
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
    LIBRARIES
        Qt::QmlPrivate
        Qt::QmlToolingSettingsPrivate
    PRIVATE_MODULE_INTERFACE
        Qt::QmlPrivate
        Qt::QmlToolingSettingsPrivate
)

qt_path_join(qml_build_dir "${QT_BUILD_DIR}" "${INSTALL_QMLDIR}" "QML")
qt_internal_add_resource(QmlCompiler "builtins"
    PREFIX
        "/qt-project.org/imports/QML"
    BASE
        "${qml_build_dir}"
    FILES
        "${qml_build_dir}/qmldir"
        "${qml_build_dir}/plugins.qmltypes"
        "${qml_build_dir}/jsroot.qmltypes"
)

qt_internal_add_docs(QmlCompiler
    doc/qtqmlcompiler.qdocconf
)

=== src/qmlformat/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(QmlFormatPrivate
    STATIC
    INTERNAL_MODULE
    SOURCES
        qqmlformatoptions.cpp qqmlformatoptions_p.h
        qqmlformatsettings.cpp qqmlformatsettings_p.h
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::QmlDomPrivate
        Qt::QmlToolingSettingsPrivate
)

=== src/qmlintegration/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(QmlIntegration
    HEADER_MODULE
    SOURCES
        qqmlintegration.h
    LIBRARIES
        Qt::Core
    NO_GENERATE_CPP_EXPORTS
)

=== debian/changelog ===
qt6-declarative (6.9.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Pass -DFEATURE_qml_jit=OFF on x32 to disable the JIT, not buildable/usable
    for now.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Oct 2025 23:20:38 +0200

qt6-declarative (6.9.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Use gcc-14 for builds on armel.

 -- Patrick Franz <deltaone@debian.org>  Tue, 23 Sep 2025 21:31:00 +0200

qt6-declarative (6.9.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:50:44 +0200

qt6-declarative (6.9.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Sep 2025 17:18:29 +0200

=== debian/control ===
Source: qt6-declarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               ccache [linux-any],
               cmake (>= 3.24~),
               g++-14 [armel],
               gcc-14 [armel],
               libgl-dev,
               liblttng-ust-dev [linux-any],
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev:native <cross>,
               qt6-languageserver-private-dev (>= 6.9.2~),
               qt6-shadertools-dev (>= 6.9.2~),
               qt6-svg-dev (>= 6.9.2~),
               qt6-svg-private-dev (>= 6.9.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative

Package: libqt6qml6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-declarative-private-abi (= 6.9.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libgl1, libglx-mesa0,
Suggests: qt6-qmltooling-plugins,
Description: Qt 6 QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt6labsplatform6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Labs Platform library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs Platform library.

Package: libqt6qmlcompiler6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Compiler library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Compiler library.

Package: libqt6qmlmeta6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Meta library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Meta support library.

Package: libqt6qmlmodels6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Models library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Models support library.

Package: libqt6qmlnetwork6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Network library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Network support library.

Package: libqt6qmlworkerscript6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML WorkerScript library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML WorkerScript support library.

Package: libqt6quick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt6quickcontrols2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
Replaces: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
Description: Qt 6 Quick Controls 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Controls 2 support library.

Package: libqt6quickshapes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Shapes library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Shapes support library.

Package: libqt6quicktemplates2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Templates 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Templates 2 support library.

Package: libqt6quicktest6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt6quickvectorimage6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Vector Image library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Vector Image support library.

Package: libqt6quickvectorimagegenerator6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Vector Image Generator library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Vector Image Generator support library.

Package: libqt6quickwidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qt6-qmllint-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmllint plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmllint plugins.

Package: qt6-qmlls-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmlls plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmlls plugins.

Package: qt6-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling plugins.

Package: qml6-module-assets-downloader
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Assets Downloader QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains QML types related to the assets downloader.

Package: qml6-module-qml
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains the base QML types.

Package: qml6-module-qmltime
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 QmlTime QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains QML types related to timers.

Package: qml6-module-qt-labs-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsanimation6,
Replaces: libqt6labsanimation6,
Description: Qt 6 Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to animation.

Package: qml6-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsfolderlistmodel6,
Replaces: libqt6labsfolderlistmodel6,
Description: Qt 6 FolderListModel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qml6-module-qt-labs-platform
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Platform QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The experimental Qt Labs Platform module provides QML types for native
 platform extensions.

Package: qml6-module-qt-labs-qmlmodels
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsqmlmodels6,
Replaces: libqt6labsqmlmodels6,
Description: Qt 6 QML Models QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for defining data models in QML.

Package: qml6-module-qt-labs-settings
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_FORCE_BUILD_TOOLS=ON
endif

# Force build with GCC-14 on armel
ifeq (armel, $(DEB_HOST_ARCH))
	export CC=gcc-14
	export CXX=g++-14
endif

# Disable the JIT on x32 for now, because of 32bit vs 64bit assembler mismatches
ifeq (x32, $(DEB_HOST_ARCH))
	extra_cmake_args += -DFEATURE_qml_jit=OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DINSTALL_PUBLICBINDIR=/usr/bin \
		$(extra_cmake_args)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_makeshlibs:
	dh_makeshlibs \
		-XlibQt6QuickControls2Impl \
		-XlibQt6QuickControls2Basic \
		-XlibQt6QuickControls2BasicStyleImpl \
		-XlibQt6QuickControls2Fusion \
		-XlibQt6QuickControls2FusionStyleImpl \
		-XlibQt6QuickControls2Imagine \
		-XlibQt6QuickControls2ImagineStyleImpl \
		-XlibQt6QuickControls2Material \
		-XlibQt6QuickControls2MaterialStyleImpl \
		-XlibQt6QuickControls2Universal \
		-XlibQt6QuickControls2UniversalStyleImpl

override_dh_qmldeps:
	LD_LIBRARY_PATH=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ dh_qmldeps

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
